
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef play_POSTER_XML_LIB_H
#define play_POSTER_XML_LIB_H

#include "genom/posterXMLLib.h"

#include "playPrintXML.h"
#include "playPosterLib.h"

/* Prototypes */
void webplay(FILE *f, int argc, char **argv, char **argn);
extern STATUS playCntrlPosterXML (FILE *f);
extern STATUS playCntrlPosterActivityXML (FILE *f);
extern STATUS playPositionPosterXML (FILE *f);
extern STATUS playPositionPosPosterXML (FILE *f);
extern STATUS playPomPosterXML (FILE *f);
extern STATUS playPomMEPosPosterXML (FILE *f);
extern STATUS playPomSickPosterXML (FILE *f);
extern STATUS playPomSickSEPosPosterXML (FILE *f);
extern STATUS playSonarsCartPosterXML (FILE *f);
extern STATUS playSonarsCartHeaderPosterXML (FILE *f);
extern STATUS playSonarsCartEchosRobPosterXML (FILE *f);
extern STATUS playSonarsCartEchosGlobPosterXML (FILE *f);
extern STATUS playBumpersPosterXML (FILE *f);
extern STATUS playBumpersbumpersPosterXML (FILE *f);
#endif /* PLAY_POSTER_XML_LIB_H */

